#
# spec file for package python-django-guardian
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-guardian
Version:        1.2.5
Release:        5.5
Url:            http://github.com/lukaszb/django-guardian
Summary:        Implementation of per object permissions for Django 1.2
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/d/django-guardian/django-guardian-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django >= 1.2
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
django-guardian is implementation of per object permissions as
authorization backend which is supported since Django 1.2. It won't
work with older Django releases.

%prep
%setup -q -n django-guardian-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}/%{_prefix}
%find_lang django %{name}.lang

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES README.rst
%{python_sitelib}/*

%changelog
* Mon May  4 2015 benoit.monin@gmx.fr
- update to version 1.2.5:
  * Official Django 1.7 support (thanks Troy Grosfield and Brian
    May)
  * Allow to override
    PermissionRequiredMixin.get_permission_object, part of
    PermissionRequiredMixin.check_permissions method, responsible
    for retrieving single object (Thanks zauddelig)
  * French translations (Thanks Morgan Aubert)
  * Added support for User.get_all_permissions (thanks Michael
    Drescher)
- additional changes from version 1.2.4:
  * Fixed another issue with custom primary keys at admin
    extensions (Thanks Omer Katz)
- additional changes from version 1.2.2:
  * Fixed issue with custom primary keys at admin extensions
    (Thanks Omer Katz)
  * get_403_or_None now accepts Python path to the view function,
    for example 'django.contrib.auth.views.login' (Thanks Warren
    Volz)
  * Added with_superuser flag to
    guardian.shortcuts.get_objects_for_user (Thanks Bruno Ribeiro
    da Silva)
  * Added possibility to disable monkey patching of the User model.
    (Thanks Cezar Jenkins)
- additional changes from version 1.2:
  * Removed get_for_object methods from managers (#188)
  * Extended documentation
  * GuardedModelAdmin has been splitted into mixins
  * Faster queries in get_objects_for_user when use_groups=False or
    any_perm=True (#148)
  * Improved speed of get_objects_for_user shortcut
  * Support for custom User model with not default username field
  * Added GUARDIAN_GET_INIT_ANONYMOUS_USER setting (#179)
  * Added accept_global_perms to PermissionRequiredMixin
  * Added brazilian portuguese translations
  * Added polish translations
  * Added wheel support
  * Fixed wrong anonymous user checks
  * Support for Django 1.6
  * Support for Django 1.7 alpha
- add fdupes as BuildRequires and call it after install
- call find_lang to tag the translation files
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 1.1.1
  + Support for Django 1.5 (including Python 3 combination)
  + Support for custom user models (introduced by Django 1.5)
  + Ability to create permissions using Foreign Keys
  + Added ``user_can_access_owned_by_group_objects_only`` option to
    ``GuardedModelAdmin.``
  + Minor documentation fixups
  + Spanish translations
  + Better support for grappelli_
  + Updated examples project
  + Speed up ``get_perms`` shortcut function
- Use download url as source
- Replace python-ditribute with python-setuptools BuildRequires
* Mon Mar 12 2012 alexandre@exatati.com.br
- Update to 1.0.4:
  * Added accept_global_perms flag for decorators
  * Added missing *fieldset* closing tag at template
  * Fixed misleading comments at docstrings
  * Fixed broken grappelli tests
  * Fixed issue disallowing creation of RPM package
  * Started using tox for tests
  * Expanded orphaned object permissions documentation
  * Expanded configuration settings documentation
* Wed Dec 28 2011 alexandre@exatati.com.br
- Standard in spec file;
- Replace python-setuptools by python-distribute in Requires tag;
- Remove CFLAGS and %%clean section from spec file.
* Tue Sep 20 2011 cfarrell@suse.com
- license update: BSD-3-Clause
  SPDX syntax (http://www.spdx.org/licenses)
* Mon Jul 25 2011 alexandre@exatati.com.br
- Update to 1.0.3:
  - added get_objects_for_group shortcut (thanks to Rafael Ponieman)
  - added user_can_access_owned_objects_only flag to GuardedModelAdmin
  - updated and fixed issues with example app (thanks to Bojan Mihelac)
  - minor typo fixed at documentation
  - included ADC theme for documentation
* Tue Apr 12 2011 alexandre@exatati.com.br
- Update to 1.0.2:
  * get_users_with_perms now accepts *with_group_users* flag
  * Fixed group_id issue at admin templates
  * Small fix for documentation building process
  * It's 2011 (updated dates)
* Fri Mar 25 2011 alexandre@exatati.com.br
- Update to 1.0.1;
- Regenerate spec file with py2pack;
- Add CHANGES and README.rst files as documentation.
* Fri Jan 28 2011 alexandre@exatati.com.br
- Update to 1.0.0.
* Wed Nov 17 2010 alexandre@exatati.com.br
- Update to 0.2.3.
* Wed Oct 13 2010 alexandre@exatati.com.br
- Update to 0.2.2.
* Mon Oct  4 2010 alexandre@exatati.com.br
- Update to 0.2.1.
* Mon Sep 27 2010 alexandre@exatati.com.br
- Update to 0.1.1.
* Fri Aug  6 2010 alexandre@exatati.com.br
- Initial package (0.1.0) for openSUSE.
